## tgl 2.0.1+git20160323.ffb04cac

=== debian/changelog ===
tgl (2.0.1+git20160323.ffb04cac-5) unstable; urgency=low

  * Merge Ubuntu's patch for ppc64.
    - Add debian/patches/0004_ppc64el_uninitialized.patch
    - Thanks to Simon Chopin <simon.chopin@canonical.com>
  * debian/rules: fix package-name-defined-in-config-h warning.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 15 Apr 2025 08:51:31 +0800

tgl (2.0.1+git20160323.ffb04cac-4) unstable; urgency=low

  * debian/rules: Add -Wno-error=unused-function

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 05 Dec 2024 22:53:51 +0800

tgl (2.0.1+git20160323.ffb04cac-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062975

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:09:46 +0000

tgl (2.0.1+git20160323.ffb04cac-3) unstable; urgency=low

  * This package cannot be parallel built reliable. Disable parallel build.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 18 Jan 2019 18:42:56 +0800

tgl (2.0.1+git20160323.ffb04cac-2) unstable; urgency=low

  * Add debian/patches/0003_handle_endian.patch: Fix FTBFS on big-endian arch.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Jan 2019 19:48:25 +0800

tgl (2.0.1+git20160323.ffb04cac-1) unstable; urgency=low

  * Initial release (Closes: #914854)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Dec 2018 01:34:41 +0800
