=== debian/control ===
Source: tgl
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
               dh-exec (>= 0.3),
               libevent-dev,
               libssl-dev,
               libtl-parser-dev,
               tl-parser,
               zlib1g-dev
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/vysheng/tgl

Package: libtgl-0.0.0.20160623-0t64
Provides: ${t64:Provides}
Replaces: libtgl-0.0.0.20160623-0
Breaks: libtgl-0.0.0.20160623-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: telegram API library
 Telegram is an instant messaging application with a focus on speed, it is
 super-fast, simple and free. You can use Telegram on all your devices at the
 same time - your messages sync seamlessly across any number of your phones,
 tablets or computers. This library handles Telegram API and protocol.

Package: libtgl-0.0.0.20160623-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtgl-0.0.0.20160623-0t64 (= ${binary:Version}), ${misc:Depends}
Description: telegram API library (development headers)
 Telegram is an instant messaging application with a focus on speed, it is
 super-fast, simple and free. You can use Telegram on all your devices at the
 same time - your messages sync seamlessly across any number of your phones,
 tablets or computers. This library handles Telegram API and protocol.
 .
 This package contains the development files.
