=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wno-cast-function-type
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wno-cast-function-type -Wno-error=unused-function
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-soname,libtgl-0.0.0.20160623.so.0
 
@@ -23,6 +23,9 @@
 override_dh_auto_build:
 	dh_auto_build
 	cp -f libs/libtgl.so libs/`objdump -p libs/libtgl.so | grep SONAME | awk '{print $$2}'`
+
+execute_after_dh_install:
+	sed -i 's/PACKAGE_NAME/PACKAGE_NAME_TGL/g' $(shell find $(CURDIR)/debian -name config.h | tail -1)
 
 DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
 DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
